{
	"easycom": {
		"^zs-(.*)": "@/components/zs-$1/index.vue",
		"^u-(.*)": "@/uni_modules/uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
	{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "慧研学惠生活",
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/index/search",
			"style": {
				"navigationBarTitleText": "搜索"
			}
		},
		{
			"path": "pages/index/searchResult",
			"style": {
				"navigationBarTitleText": "搜索结果"
			}
		},
		{
			"path": "pages/activity/index",
			"style": {
				"navigationBarTitleText": "活动",
				"navigationStyle": "custom",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/activity/detail",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/activity/courseDetail",
			"style": {
				"navigationBarTitleText": "课程详情"
			}
		},
		{
			"path": "pages/my/index",
			"style": {
				"navigationStyle": "custom",
				"navigationBarTitleText": "我的",
				"enablePullDownRefresh": false
				// "backgroundColor":"#f1f1f1"
			}

		}, {
			"path": "pages/index/position",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}
	],
	"subPackages": [ //分包
		{
			"root": "signUp",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "体验农耕文化，传承中国传统"
					}
				},
				{
					"path": "makeOut",
					"style": {
						"navigationBarTitleText": "填写资料"
					}
				}
			]
		},
		{
			"root": "refuel",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "加油充电",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "refuelDetail",
					"style": {
						"navigationBarTitleText": "确认下单"
						// "navigationStyle": "custom"
					}
				},
				{
					"path": "coupon",
					"style": {
						"navigationBarTitleText": "优惠券"
						// "navigationStyle": "custom"
					}
				}
			]
		},
		{
			"root": "detail",
			"pages": [
				{
					"path": "shopDetail/shopDetail",
					"style": {
						"navigationBarTitleText": "店铺详情"
						// "navigationStyle": "custom",
						// "enablePullDownRefresh": true
					}
				},
				{
					"path": "discountsDetail/index",
					"style": {
						"navigationBarTitleText": "",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "goodsDetail/index",
					"style": {
						"navigationBarTitleText": "商品详情",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "shopList/index",
					"style": {
						"navigationBarTitleText": "适用店铺"
					}
				},
				{
					"path": "qrcode/index",
					"style": {
						"navigationBarTitleText": "出示二维码"
					}
				},
				{
					"path": "virtualGoods/index",
					"style": {
						"navigationBarTitleText": "会员充值"
					}
				},
				{
					"path": "virtualGoods/detail",
					"style": {
						"navigationBarTitleText": "会员充值"
					}
				},
				{
					"path": "virtualGoods/pay",
					"style": {
						"navigationBarTitleText": "提交订单"
					}
				}
				
			]
		},
		{
			"root": "my",
			"pages": [{
					"path": "coupon/index",
					"style": {
						"navigationBarTitleText": "我的优惠券",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "edit/edit",
					"style": {
						"navigationBarTitleText": "账号设置"
					}
				},
				{
					"path": "edit/editName",
					"style": {
						"navigationBarTitleText": "账号设置"
					}
				},
				{
					"path": "edit/unSubscribe",
					"style": {
						"navigationBarTitleText": "账号信息"
					}
				},
				{
					"path": "order/index",
					"style": {
						"navigationBarTitleText": "全部订单",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "order/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				
				{
					"path": "order/refund",
					"style": {
						"navigationBarTitleText": "退款申请"
					}
				},
				{
					"path": "order/refundDetail",
					"style": {
						"navigationBarTitleText": "退款详情"
					}
				},
				{
					"path": "order/signUp/signUpDetail",//活动订单
					"style": {
						"navigationBarTitleText": "订单详情"
						// "navigationStyle": "custom"
					}
				},
				{
					"path": "order/signUp/refund",
					"style": {
						"navigationBarTitleText": "退款申请"
					}
				},
				{
					"path": "order/signUp/refundDetail",
					"style": {
						"navigationBarTitleText": "退款详情"
					}
				},
				{
					"path": "order/scenic/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path": "order/foodOrder/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path": "order/scenic/refund",
					"style": {
						"navigationBarTitleText": "退款申请"
					}
				},
				{
					"path": "order/scenic/refundDetail",
					"style": {
						"navigationBarTitleText": "退款详情"
					}
				},
				{
					"path": "order/hotel/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path": "order/movie/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path": "order/trip/detail",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path": "order/webView",
					"style": {
						"navigationBarTitleText": "退款申请"
					}
				},
				{
					"path": "favorite/index",
					"style": {
						"navigationBarTitleText": "我的收藏"
					}
				},
				{
					"path": "memberCenter/index",
					"style": {
						"navigationBarTitleText": "会员中心",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "memberCenter/logList",
					"style": {
						"navigationBarTitleText": "会员权益"
					}
				},
				{
					"path": "service/index",
					"style": {
						"navigationBarTitleText": "客服"
					}
				},
				{
					"path": "vipActivation/index",
					"style": {
						"navigationBarTitleText": "会员激活"
					}
				}
			]
		},
		{
			"root": "invite",
			"pages": [
				{
					"path": "invite",
					"style": {
						"navigationBarTitleText": "推广邀请"
					}
				},
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "推广邀请"
					}
				},
				{
					"path": "history",
					"style": {
						"navigationBarTitleText": "邀请记录"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "邀请明细"
					}
				},
				{
					"path": "wallet/index",
					"style": {
						"navigationBarTitleText": "我的钱包"
					}
				},
				{
					"path": "wallet/history",
					"style": {
						"navigationBarTitleText": "提现记录"
					}
				},
				{
					"path":"wallet/withdraw",
					"style": {
						"navigationBarTitleText": "提现"
					}
				},
				{
					"path":"wallet/hangingAmount",
					"style": {
						"navigationBarTitleText": "即将到账"
					}
				}
			]
		},
		{
			"root": "login",
			"pages": [{
					"path": "login/login",
					"style": {
						"navigationBarTitleText": "慧研学惠生活"
					}
				},
				{
					"path": "login/otherLogin",
					"style": {
						"navigationBarTitleText": "手机号登录"
					}
				},
				{
					"path": "login/bind",
					"style": {
						"navigationBarTitleText": "绑定微信"
					}
				},
				{
					"path": "login/xieyi",
					"style": {
						"navigationBarTitleText": "隐私协议"
					}
				}
			]
		},
		{
			"root": "trip", //出行
			"pages": [
				{
					"path": "index/index",
					"style": {
						"navigationBarTitleText": "出行",
						"navigationStyle": "custom",
						"disableScroll": true
					}
				},
				{
					"path": "chooseAddress/index",
					"style": {
						"navigationBarTitleText": "地址选择"
					}
				},
				{
					"path": "expense/question",
					"style": {
						"navigationBarTitleText": "常见问题",
						"disableScroll": true
					}
				},
				{
					"path": "expense/rules",
					"style": {
						"navigationBarTitleText": "计费规则",
						"disableScroll": true
					}
				},
				{
					"path": "expense/index",
					"style": {
						"navigationBarTitleText": "预估费用",
						"disableScroll": true
					}
				}
			]
		},
		{
			"root": "scenic",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "景区门票",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "search",
					"style": {
						"navigationBarTitleText": "搜索中"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "makeOut",
					"style": {
						"navigationBarTitleText": "填写订单"
					}
				}
			]
		},
		{
			"root": "movie",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationStyle": "custom",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "movieDetail",
					"style": {
						"navigationBarTitleText": "电影"
					}
				},
				{
					"path": "movieList",
					"style": {
						"navigationBarTitleText": "电影列表"
					}
				},
				{
					"path": "chooseSeat",
					"style": {
						"navigationBarTitleText": "选座",
						"enablePullDownRefresh": true
					}
				}
			]
		},
		{
			"root": "hotel",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "cityList",
					"style": {
						"navigationBarTitleText": "城市列表"
					}
				},
				{
					"path": "hotelDetail",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "introduce",
					"style": {
						"navigationBarTitleText": "酒店介绍"
					}
				},
				{
					"path": "hotelImgList",
					"style": {
						"navigationBarTitleText": "酒店图片"
					}
				},
				{
					"path": "makeOut",
					"style": {
						"navigationBarTitleText": "填写订单"
					}
				},
				{
					"path": "search",
					"style": {
						"navigationBarTitleText": "酒店"
					}
				}
			]
		},
		{
			"root": "study", //研学
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "慧研学",
						"navigationStyle": "custom"
					}
				},
				{
					"path" : "pay/order",
					"style": {
						"navigationBarTitleText": "提交订单"
					}
				},
				{
					"path" : "pay/orderPay",
					"style": {
						"navigationBarTitleText": "订单详情"
					}
				},
				{
					"path":"tourList/list",
					"style": {
						"navigationBarTitleText": "选择出游人"
					}
				},
				{
					"path":"tourList/add",
					"style": {
						"navigationBarTitleText": "添加出游人"
					}
				},
				{
					"path": "type",
					"style": {
						"navigationBarTitleText": "子栏目",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "studyGoodsDetail",
					"style": {
						"navigationBarTitleText": "商品详情"
					}
				},
				{
					"path": "studyList",//列表
					"style": {
						"navigationBarTitleText": ""
					}
				},
				{
					"path": "courseDetail",
					"style": {
						"navigationBarTitleText": "课程详情"
					}
				},
				{
					"path": "community/index",
					"style": {
						"navigationBarTitleText": "互动社区"
					}
				},
				{
					"path": "community/detail",
					"style": {
						"navigationBarTitleText": "帖子详情",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "community/video",
					"style": {
						"navigationBarTitleText": "科普视频"
					}
				},
				{
					"path": "community/goods",
					"style": {
						"navigationBarTitleText": "推荐线路"
					}
				},
				{
					"path": "test",
					"style": {
						"navigationBarTitleText": "研学MBTI测试",
						"navigationStyle": "custom"
					}
				}
			]
		},
		{
			"root": "special", //信息确认
			"pages": [
				{
					"path": "water",
					"style": {
						"navigationBarTitleText": "领券"
					}
				},
				{
					"path": "kaihui",
					"style": {
						"navigationBarTitleText": "凯辉便利"
					}
				}
				
			]
		},
		{
			"root": "pay",
			"pages": [
				{
					"path": "pay",
					"style": {
						"navigationBarTitleText": "提交订单"
					}
				},
				{
					"path": "pay1",
					"style": {
						"navigationBarTitleText": "提交订单"
					}
				},
				{
					"path": "offlinePayment",
					"style": {
						"navigationBarTitleText": "支付订单"
					}
				},
				{
					"path": "coupon",
					"style": {
						"navigationBarTitleText": "优惠券"
					}
				},
				{
					"path": "ortherPay",
					"style": {
						"navigationBarTitleText": "支付"
					}
				}
		
			]
		},
		{
			"root": "agreement",
			"pages": [
				{
					"path": "member",
					"style": {
						"navigationBarTitleText": "会员服务协议"
					}
				}
			]
		},
		{
			"root":"share",
			"pages":[
				{
					"path":"index",
					"style": {
						"navigationBarTitleText": "研学分享"
					}
				},
				{ 
					"path":"sharePosts",
					"style": {
						"navigationBarTitleText": "研学心得",
						"navigationStyle": "custom"
					}
				}
			]
		},
		{
			"root": "orderFood",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "点餐"
					}
				},
				{
					"path" : "pay",
					"style" : 
					{
						"navigationBarTitleText" : "订单确认"
					}
				}
			]
		},
		{
			"root": "luckyDraw",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText": "抽奖"
					}
				},
				{
					"path": "prizeList",
					"style": {
						"navigationBarTitleText": "我的奖品"
					}
				}
			]
		}

	],
	"tabBar": {
		"color": "#AAAAAA",
		"selectedColor": "#EE4320",
		"backgroundColor": "#fff",
		"list": [{
				"iconPath": "static/home_off.png",
				"selectedIconPath": "static/home_on.png",
				"text": "首页",
				"pagePath": "pages/index/index"
			},
			{
				"iconPath": "static/activity_off.png",
				"selectedIconPath": "static/activity_on.png",
				"text": "活动",
				"pagePath": "pages/activity/index"
			},
			{
				"iconPath": "static/my_off.png",
				"selectedIconPath": "static/my_on.png",
				"text": "我的",
				"pagePath": "pages/my/index"
			}
		]

	},

	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#fff",
		"backgroundColor": "#F8F8F8"
	},
	"uniIdRouter": {}
}